commit:     b2e5927463dcd8e1cb8fb49e14cb9636631a8039
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 22 06:55:06 2020 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Wed Jul 22 07:04:50 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b2e59274

net-analyzer/snmptt: Version 1.4.1

Package-Manager: Portage-3.0.0, Repoman-2.3.23
Bug: https://bugs.gentoo.org/733478
Closes: https://bugs.gentoo.org/show_bug.cgi?id=433443
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 net-analyzer/snmptt/Manifest            |  1 +
 net-analyzer/snmptt/snmptt-1.4.1.ebuild | 60 +++++++++++++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/net-analyzer/snmptt/Manifest b/net-analyzer/snmptt/Manifest
index d8088b076d3..c9a22c1494f 100644
--- a/net-analyzer/snmptt/Manifest
+++ b/net-analyzer/snmptt/Manifest
@@ -1 +1,2 @@
+DIST snmptt_1.4.1.tgz 142271 BLAKE2B 
4b2af3b3c94e40efba1c497da16c80426c6e8b28e4a310bd44c8f353d304c67b651ef26eefce1c0208d5216a34339bcc3c3959a5cae93016ed57120495420d65
 SHA512 
2a51356f575ae7f7abc6640d802f67a107dc653a6224d5e208f85f2d17ba735d10a2fc0a3815f83ac449f6a058d870389d61ed501e5ca8c324f88d3c14b8d8bd
 DIST snmptt_1.4.tgz 148504 BLAKE2B 
b49e51d0ec207f1250536010e6475649eeca1a89f85bf31e1a7545cae2fa6ac66951916932863543336bb63a8519f35e9c54e7c67bcd14a43ed7ce6d8d63876b
 SHA512 
200ebe565766c15f85b9b9cbc178baeef740663efc951af4c790c4b28d27398c14a95c4b38306ec3503cefe9b86634d5f24ec5f2482694f07789e9025ea39a80

diff --git a/net-analyzer/snmptt/snmptt-1.4.1.ebuild 
b/net-analyzer/snmptt/snmptt-1.4.1.ebuild
new file mode 100644
index 00000000000..3596946f831
--- /dev/null
+++ b/net-analyzer/snmptt/snmptt-1.4.1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="SNMP Trap Translator"
+SRC_URI="mirror://sourceforge/snmptt/${P/-/_}.tgz"
+HOMEPAGE="http://www.snmptt.org/";
+LICENSE="GPL-2"
+
+KEYWORDS="~amd64 ~ppc ~x86"
+SLOT="0"
+
+S="${WORKDIR}/${P/-/_}"
+
+RDEPEND="
+       dev-lang/perl
+       dev-perl/Config-IniFiles
+       net-analyzer/net-snmp
+"
+
+src_prepare() {
+       default
+
+       # bug 105354, daemonize by default
+       sed -i \
+               -e 's:mode = standalone:mode = daemon:g' \
+               -e '/pid_file/s:/var/run:/run:g' \
+               snmptt.ini || die
+
+       echo "traphandle default /usr/sbin/snmptt" > 
examples/snmptrapd.conf.sample || die
+}
+
+src_install() {
+       into /usr
+       dosbin \
+               snmptt \
+               snmptt-net-snmp-test \
+               snmpttconvert \
+               snmpttconvertmib \
+               snmptthandler \
+               snmptthandler-embedded
+
+       insinto /etc/snmp
+       doins \
+               examples/snmptrapd.conf.sample \
+               examples/snmptt.conf.generic \
+               snmptt.ini
+       newins examples/snmptt.conf.generic snmptt.conf
+
+       dodoc ChangeLog README sample-trap
+
+       docinto html
+       dodoc docs/*
+
+       newinitd "${FILESDIR}"/snmptt.initd-r1 snmptt
+
+       insinto /etc/logrotate.d
+       newins snmptt.logrotate snmptt
+}

Reply via email to